Name:           qjoypad
Version:        4.3.1
Release:        %mkrel 5
Summary:        Emulate keyboard or mouse actions with a joystick
Group:          System/Kernel and hardware
License:        GPLv2
URL:            https://qjoypad.sourceforge.net/
# Fork by a new maintainer
Source0:        https://github.com/panzi/qjoypad/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         qjoypad-4.3.1-cmake4.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)

%description
QJoyPad converts input from a gamepad or joystick into key-presses or mouse
actions, letting you control any X program with your game controller.
It comes with a convenient and easy-to-use interface.

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc LICENSE.txt README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Jun 27 2025 danf <danf> 4.3.1-5.mga10
+ Revision: 2210737
- Fix building with cmake4

* Mon Apr 04 2022 umeabot <umeabot> 4.3.1-4.mga9
+ Revision: 1843327
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 4.3.1-3.mga8
+ Revision: 1659488
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 4.3.1-2.mga8
+ Revision: 1527984
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Aug 01 2019 daviddavid <daviddavid> 4.3.1-1.mga8
+ Revision: 1426804
- new version: 4.3.1

* Mon Apr 01 2019 umeabot <umeabot> 4.3.0-4.mga7
+ Revision: 1384221
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.3.0-3.mga7
+ Revision: 1300655
- Mageia 7 Mass Rebuild

* Sun Apr 03 2016 akien <akien> 4.3.0-2.mga6
+ Revision: 997861
- New tarball that fixes segfault (GH-11)

* Sun Apr 03 2016 akien <akien> 4.3.0-1.mga6
+ Revision: 997763
- Version 4.3.0
- Build against Qt5

* Fri Dec 18 2015 akien <akien> 4.2.1-1.mga6
+ Revision: 911715
- Version 4.2.1

* Mon Dec 07 2015 akien <akien> 4.2.0-2.mga6
+ Revision: 908739
- Add patch to fix desktop category
- Version 4.2.0 (fork by new maintainer)

* Wed Oct 21 2015 daviddavid <daviddavid> 4.1.0-10.mga6
+ Revision: 893916
- use %%qmake_qt4 to configure so debuginfo gets built

* Wed Oct 15 2014 umeabot <umeabot> 4.1.0-9.mga5
+ Revision: 750086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.0-8.mga5
+ Revision: 688490
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.0-7.mga4
+ Revision: 517861
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.0-6.mga3
+ Revision: 379835
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ mikala <mikala>
- Remove %%clean section & %%defattr()
- Add -lX11 to linker to fix build.

* Sun Jan 16 2011 anssi <anssi> 4.1.0-4.mga1
+ Revision: 20176
- remove old scripts
- fix license tag
- rename desktop file
- remove old category from the desktop file
- imported package qjoypad

